@marselabdullin

Django останавливается на: Performing system checks...(не запускает сервер)?

Сделал приложение с использованием celery, vue.js(может в них дело), все работало и затем я сделал файл config.py рядом с settings.py, чтобы хранить ключи и после этого приложение не запускается(хотя вряд ли это связано с этим), и миграции тоже не запускаются. Я полагаю, что проблема с бд(мог ли я ее перегрузить?), полная ошибка:
python manage.py runserver
Watching for file changes with StatReloader
Performing system checks...

python manage.py migrate
Traceback (most recent call last):
File "C:\Users\Marsel\AppData\Local\Programs\Python\Python38-32\lib\site-packages\kombu\utils\functional.py", line 43, in __call__
return self.__value__
AttributeError: 'ChannelPromise' object has no attribute '__value__'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Marsel\AppData\Local\Programs\Python\Python38-32\lib\site-packages\kombu\transport\virtual\base.py", line 921, in create_channel
return self._avail_channels.pop()
IndexError: pop from empty list

During handling of the above exception, another exception occurred:
  • Вопрос задан
  • 92 просмотра
Решения вопроса 1
tumbler
@tumbler Куратор тега Django
бекенд-разработчик на python
Похоже у Вас какие-то части Celery задействуются во время импорта. Так быть не должно, шерстите код насчет побочных эффектов импорта.
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы